=== debian/changelog ===
cobra-cli (1.3.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:45:07 +1000

cobra-cli (1.3.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:33:49 +1000

cobra-cli (1.3.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:04:19 +0530

cobra-cli (1.3.0-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:28 +1200

cobra-cli (1.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package cobra-cli that duplicates source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 09:55:10 +0000

cobra-cli (1.3.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 07 Apr 2022 22:41:15 -0600

cobra-cli (1.3.0-1) unstable; urgency=medium

  * Initial packaging, split off from golang-github-spf13-cobra
    (Closes: #1008777)

 -- Anthony Fok <foka@debian.org>  Fri, 01 Apr 2022 06:20:29 -0600
